import { CouchbaseHttpApiConfig } from '../../types.js';
export declare function getClusterRootCertificates(apiConfig: CouchbaseHttpApiConfig): Promise<ApiCertificate[]>;
export type ApiCertificate = {
    id: number;
    /**
     * Despite its name, it's an ISO string.
     */
    loadTimestamp: string;
    subject: string;
    /**
     * ISO string.
     */
    notBefore: string;
    /**
     * ISO string.
     */
    notAfter: string;
    type: 'generated' | (string & NonNullable<unknown>);
    /**
     * Certificate itself.
     */
    pem: string;
    warnings: Array<{
        name: string;
        message: string;
        severity: number;
        severityName: 'minimal' | (string & NonNullable<unknown>);
    }>;
    nodes: [string, ...string[]];
    client_cert_nodes: [string, ...string[]];
};
