import 'node-fetch';
import { CouchbaseHttpApiConfig } from '../../../types.js';
export type CouchbaseIndexerSettings = Partial<{
    indexerThreads: number;
    logLevel: 'silent' | 'fatal' | 'error' | 'warn' | 'info' | 'verbose' | 'timing' | 'debug' | 'trace';
    maxRollbackPoints: number;
    memorySnapshotInterval: number;
    numReplica: number;
    redistributeIndexes: 'true' | 'false';
    stableSnapshotInterval: number;
    enablePageBloomFilter: 'true' | 'false';
    storageMode: 'plasma' | 'memory_optimized' | 'forestdb';
}>;
export declare function requestSetIndexerSettings(apiConfig: CouchbaseHttpApiConfig, settings: CouchbaseIndexerSettings): Promise<import("node-fetch").Response>;
