import { Keyspace } from '@cbjsdev/shared';
import { CouchbaseHttpApiConfig } from '../../types.js';
import { ApiQueryResponseBody } from '../../types/Api/index.js';
/**
 * Create a query index.
 */
export declare function createQueryIndex(params: CouchbaseHttpApiConfig, indexName: string, keyspace: Keyspace, config: {
    /**
     * The document keys to index.
     */
    keys: string[];
    /**
     * Only index documents that match this where clause.
     */
    where?: string;
    /**
     * The number of replicas of this index that should be created.
     */
    numReplicas?: number;
}, options?: CreateQueryIndexOptions): Promise<CreateQueryIndexResponse['results']>;
export type CreateQueryIndexOptions = {
    /**
     * Specifies whether this index creation should be deferred until a later
     * point in time when they can be explicitly built together.
     */
    deferred?: boolean;
};
export type CreateQueryIndexResponse = ApiQueryResponseBody<Array<{
    id: string;
    name: string;
    state: string;
}>, null>;
