import { createHttpError } from '../../utils/createHttpError.js';
import { requestExecuteStatement } from './requests/requestExecuteStatement.js';
/**
 * Return the list of buckets visible from the Query service.
 */
export async function getQueryBuckets(params) {
    const response = await requestExecuteStatement(params, 'SELECT RAW name FROM system:keyspaces');
    if (response.status !== 200) {
        throw await createHttpError('GET', response);
    }
    const body = (await response.json());
    return body.results;
}
//# sourceMappingURL=getQueryBuckets.js.map