import { createHttpError } from '../../utils/createHttpError.js';
import { requestWhoami } from './requests/requestWhoami.js';
/**
 * Return user info about the user making the request.
 */
export async function whoami(apiConfig) {
    const response = await requestWhoami(apiConfig);
    if (response.status !== 200) {
        throw await createHttpError('GET', response);
    }
    return (await response.json());
}
//# sourceMappingURL=whoami.js.map