import { createHttpError } from '../../utils/createHttpError.js';
import { requestIndexerStatistics } from './requests/requestIndexerStatistics.js';
export async function getIndexerStatistics(apiConfig, skipEmpty = true) {
    const response = await requestIndexerStatistics(apiConfig, skipEmpty);
    if (response.status !== 200) {
        throw await createHttpError('GET', response);
    }
    const stats = (await response.json());
    return stats.indexer;
}
//# sourceMappingURL=getIndexerStatistics.js.map