import { OneOf } from '@cbjsdev/shared';
import { ApiAnalyticsAzureRemoteLink } from './ApiAnalyticsAzureRemoteLink.js';
import { ApiAnalyticsCouchbaseRemoteLink } from './ApiAnalyticsCouchbaseRemoteLink.js';
import { ApiAnalyticsGoogleStorageRemoteLink } from './ApiAnalyticsGoogleStorageRemoteLink.js';
import { ApiAnalyticsS3RemoteLink } from './ApiAnalyticsS3RemoteLink.js';
export type ApiAnalyticsLinkSharedProperties = {
    /**
     * The scope name may contain one or two identifiers, separated by a slash (/).
     */
    scope: string;
    /**
     * Arbitrary name for the link.
     */
    name: string;
};
export type ApiAnalyticsLink = OneOf<[
    ApiAnalyticsCouchbaseRemoteLink,
    ApiAnalyticsS3RemoteLink,
    ApiAnalyticsAzureRemoteLink,
    ApiAnalyticsGoogleStorageRemoteLink
]>;
