import { Keyspace } from '@cbjsdev/shared';
import { CouchbaseHttpApiConfig } from '../types.js';
import { WaitForOptions } from './types.js';
export type WaitForSearchIndexOptions = WaitForOptions & {
    awaitQueryVisibility?: boolean;
    awaitMutations?: boolean;
};
/**
 * Wait for the query index to be visible by the query service and wait until no mutations are remaining.
 * You can opt-out waiting for mutations by passing `{ awaitMutations: false }`.
 */
export declare function waitForSearchIndex(apiConfig: CouchbaseHttpApiConfig, indexName: string, keyspace: Partial<Keyspace>, options?: WaitForSearchIndexOptions): Promise<void>;
export declare function waitForSearchIndex(apiConfig: CouchbaseHttpApiConfig, indexName: string, options?: WaitForSearchIndexOptions): Promise<void>;
